%define module musicbrainz2

Name:           python-%{module}
Version:        0.7.4
Release:        %mkrel 5
Summary:        Provides easy object oriented access to the MusicBrainz Database
Source0:        http://ftp.musicbrainz.org/pub/musicbrainz/python-musicbrainz2/%{name}-%{version}.tar.gz
License:        BSD-like
Group:          Development/Python
Url:            http://wiki.musicbrainz.org/PythonMusicBrainz2
BuildArch:      noarch

BuildRequires:  pkgconfig(python) 

Requires:       libdiscid

%description
The python-musicbrainz2 package is a client library written in python that
provides easy object oriented access to the MusicBrainz Database using the
XML Web Service. It has been written from scratch and uses a different model
than its predecessor, python-musicbrainz.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

%check
%{__python} setup.py test

%files
%doc AUTHORS.txt CHANGES.txt COPYING.txt README.txt examples/
%{python_sitelib}/*egg-info
%{python_sitelib}/%{module}/
%{_bindir}/mb-submit-disc


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.4-5.mga4
+ Revision: 543654
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.4-4.mga4
+ Revision: 498957
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 0.7.4-3.mga4
+ Revision: 490544
- cleaning spec

* Sun Jan 13 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 379154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 philippem <philippem> 0.7.4-1.mga2
+ Revision: 170521
- Update to 0.7.4

* Fri May 13 2011 ahmad <ahmad> 0.7.3-2.mga1
+ Revision: 97768
- Don't require ctypes, already included in python

* Fri May 13 2011 ahmad <ahmad> 0.7.3-1.mga1
+ Revision: 97708
- Require libdiscid and ctypes
- Add a %%check section
- Use Source0 url

  + shikamaru <shikamaru>
    - imported package python-musicbrainz2

